## ros-indigo-bwi-launch 0.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bwi_launch)
find_package(catkin REQUIRED)
catkin_package()

install(DIRECTORY launch/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

install(DIRECTORY config/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

catkin_install_python(PROGRAMS scripts/multi_robot_launcher
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# unit tests are enabled selectively
if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)
endif()

=== debian/changelog ===
ros-indigo-bwi-launch (0.3.3-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 06 Aug 2015 05:00:00 -0000

ros-indigo-bwi-launch (0.3.2-0trusty) trusty; urgency=high

  * removed segbot_v2.arm.launch as mico driver is not yet
    released. Launch file moved to segbot_arm_launch experimental package.
  * included bwi_logging/launch/record.launch into segbot_v2.launch
  * added main, all-in-one launch file for the segbot_v2 with arm
  * parameterized the single robot launch file being launched by the
    multi_robot_launcher
  * now use default level on all launch file, in addition use
    multi_robot_launcher which can launch multiple robots in a scripted
    manner.
  * Contributors: Jivko Sinapov, Piyush Khandelwal, Shiqi Zhang

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 06 Aug 2015 05:00:00 -0000

ros-indigo-bwi-launch (0.3.1-0trusty) trusty; urgency=high

  * updated launch files to account for upcoming amcl.launch change.
  * updated launch file to automatically start the planner/reasoner in simulation mode.
  * Contributors: Piyush Khandelwal

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-bwi-launch (0.3.0-0trusty) trusty; urgency=high

  * bwi_launch: add build dependencies for launch checking references (#16 <https://github.com/utexas-bwi/bwi/issues/16>)
    do not depend on segbot_gazebo twice
  * bwi_launch: dependency and launch file cleanup
    partial fix for #16 <https://github.com/utexas-bwi/bwi/issues/16>
  * added launch files for segbot v1 and v2 to bwi_launch
  * Contributors: Jack O'Quin, Piyush Khandelwal

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-bwi-launch (0.2.1-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 14 May 2014 05:00:00 -0000

ros-indigo-bwi-launch (0.2.0-0trusty) trusty; urgency=high

  * release to Hydro
  * make a separate bwi_launch package
  * Contributors: Jack O'Quin

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 24 Apr 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-bwi-launch
Section: misc
Priority: extra
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-bwi-kr-execution, ros-indigo-bwi-msgs, ros-indigo-bwi-tools, ros-indigo-catkin, ros-indigo-multi-level-map-server, ros-indigo-multi-level-map-utils, ros-indigo-roslaunch, ros-indigo-segbot-bringup, ros-indigo-segbot-gazebo, ros-indigo-segbot-gui, ros-indigo-segbot-logical-translator, ros-indigo-segbot-navigation, ros-indigo-segbot-simulation-apps, ros-indigo-utexas-gdc
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-bwi-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-bwi-kr-execution, ros-indigo-bwi-msgs, ros-indigo-bwi-tools, ros-indigo-multi-level-map-server, ros-indigo-multi-level-map-utils, ros-indigo-segbot-bringup, ros-indigo-segbot-gazebo, ros-indigo-segbot-gui, ros-indigo-segbot-logical-translator, ros-indigo-segbot-navigation, ros-indigo-segbot-simulation-apps, ros-indigo-utexas-gdc
Description: Top-level ROS launch scripts for the Building-Wide Intelligence (BWI) project of the University of Texas at Austin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-bwi-launch//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
